/*
			Copyright (c) 1994 by
			Advanced Visual Systems Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Advanced Visual Systems Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
	
	This file is under Perforce control
	$Id: //depot/express/fcs992/om/maincxx.cxx#1 $
*/
/* Just need to compile this file with C++ to get C++ startup stuff */
#ifndef MSDOS
#include "mainc.c"
#else

#include <afxwin.h>
#include <afxext.h>
//#include <stdlib.h>

#include <avs/om.h>
#include <avs/pc_util.h>

class CExpressApp : public CWinApp
{
private:
    int m_vcp;

public :
    CExpressApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExpressApp)
	public:
	virtual BOOL InitInstance();
	virtual int Run();
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CExpressApp)
	//}}AFX_MSG

    DECLARE_MESSAGE_MAP()
};



BEGIN_MESSAGE_MAP(CExpressApp, CWinApp)
	//{{AFX_MSG_MAP(CExpressApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

CExpressApp::CExpressApp()
{
    m_vcp = 0;
};

//////////////////////
CExpressApp theApp; // This declaration does it all
//////////////////////

BOOL CExpressApp::InitInstance()
{

    //hGlobalInstance = m_hInstance;

    LPSTR CommandLine = GetCommandLine();
         
#ifdef _AFXDLL
    Enable3dControls();
#else
    Enable3dControlsStatic();
#endif

    // Modify CommandLine Here
    m_vcp = OMmain_init(m_hInstance, m_hPrevInstance, CommandLine, m_nCmdShow);

    return(1);

}

int CExpressApp::Run()
{
    OMmain_loop(m_vcp);

    PCdelete_argv();
    return(0);
}

#endif
